# Class Permissions

Namespace
  adas_core.Domain

Assembly
  adas-core.Domain.dll

Represents a set of permissions, providing functionality related to access control and authorization.

    public class Permissions

Inheritance
  object
  Permissions

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Read

    public SourcePermissions Read { get; set; }

#### Property Value

SourcePermissions

### Write

    public SourcePermissions Write { get; set; }

#### Property Value

SourcePermissions